API

Google Search API

The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.

مرجع API الإصدار: 1.0.0 6 نقاط النهاية المصادقة
Google Monitor

عنوان URL الأساسي

https://pressmonitor.com/api

المصادقة

تتطلب جميع الطلبات رؤوس x-api-key و x-subscription-id. يوثّق x-api-key حسابك؛ ويحدّد x-subscription-id الخدمة المشتركة.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /google_autocomplete

Google Search Autocomplétion

بارامترات

الاسم نوع الموقع مطلوب الوصف
text string query نعم Query text

أمثلة الشيفرة

curl -X GET \
  "https://pressmonitor.com/api/google_autocomplete?text=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

الردود

200 Success
GET /google_search_web

Google Search Recherche Web

بارامترات

الاسم نوع الموقع مطلوب الوصف
text string query نعم Query text
region string query لا Region code
safesearch string query لا SafeSearch filter
timelimit string query لا Time limit
max_results integer query لا Maximum number of results

أمثلة الشيفرة

curl -X GET \
  "https://pressmonitor.com/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

الردود

200 Success
GET /google_search_news

Google Search Recherche Actualités

بارامترات

الاسم نوع الموقع مطلوب الوصف
text string query نعم Query text
region string query لا Region code
max_results integer query لا Maximum number of results

أمثلة الشيفرة

curl -X GET \
  "https://pressmonitor.com/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

الردود

200 Success
GET /google_search_images

Google Search Recherche Images

بارامترات

الاسم نوع الموقع مطلوب الوصف
text string query نعم Query text
region string query لا Region code
safesearch string query لا SafeSearch filter
timelimit string query لا Time limit
max_results integer query لا Maximum number of results
color string query لا Color
size string query لا Size
image_type string query لا Image type
layout string query لا Layout

أمثلة الشيفرة

curl -X GET \
  "https://pressmonitor.com/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

الردود

200 Success
GET /google_search_videos

Google Search Recherche Vidéos

بارامترات

الاسم نوع الموقع مطلوب الوصف
text string query نعم Query text
region string query لا Region code
safesearch string query لا SafeSearch filter
timelimit string query لا Time limit
max_results integer query لا Maximum number of results
resolution string query لا Resolution
duration string query لا Duration

أمثلة الشيفرة

curl -X GET \
  "https://pressmonitor.com/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

الردود

200 Success
GET /google_search_maps

Google Search Recherche Cartes

بارامترات

الاسم نوع الموقع مطلوب الوصف
text string query نعم Query text
place string query لا Place
street string query لا Street
city string query لا City
state string query لا State
country string query لا Country code
postalcode string query لا Postalcode
latitude string query لا Latitude
longitude string query لا Longitude
radius string query لا Radius

أمثلة الشيفرة

curl -X GET \
  "https://pressmonitor.com/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

الردود

200 Success